Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs	(revision 484)
@@ -86,6 +86,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("ConfirmedDate") || strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("StartDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 協力会社マスタ検索文字列作成
         /// <summary>
         /// 協力会社マスタ検索文字列作成
@@ -96,32 +138,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM SubContractorMaster", CreateFieldNameList());
 
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("ConfirmedDate") || strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("StartDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM SubContractorMaster");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -231,36 +258,36 @@
 
                 strcmd.AppendFormat("  {0}", data.CompanyCode);
                 strcmd.AppendFormat(", {0}", data.DisplayOrder);
-                strcmd.AppendFormat(",'{0}'", data.CorporateStatusName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.CorporateStatusName));
                 strcmd.AppendFormat(", {0}", data.CorporateStatusPoint);
-                strcmd.AppendFormat(",'{0}'", data.CompanyName);
-                strcmd.AppendFormat(",'{0}'", data.CompanyNameKana);
-                strcmd.AppendFormat(",'{0}'", data.CEOPositionName);
-                strcmd.AppendFormat(",'{0}'", data.CEOName);
-                strcmd.AppendFormat(",'{0}'", data.CEONameKana);
-                strcmd.AppendFormat(",'{0}'", data.ContactPersonName);
-                strcmd.AppendFormat(",'{0}'", data.ContactPersonNameKana);
-                strcmd.AppendFormat(",'{0}'", data.ZipCode);
-                strcmd.AppendFormat(",'{0}'", data.Address1);
-                strcmd.AppendFormat(",'{0}'", data.Address2);
-                strcmd.AppendFormat(",'{0}'", data.Address3);
-                strcmd.AppendFormat(",'{0}'", data.CellPhoneNumber);
-                strcmd.AppendFormat(",'{0}'", data.MailAddress);
-                strcmd.AppendFormat(",'{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(",'{0}'", data.FaxNumber );
-                strcmd.AppendFormat(",'{0}'", data.JapaneseSyllabary);
+                strcmd.AppendFormat(", {0}", SeparateString(data.CompanyName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CompanyNameKana));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CEOPositionName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CEOName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CEONameKana));
+                strcmd.AppendFormat(", {0}", SeparateString(data.ContactPersonName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.ContactPersonNameKana));
+                strcmd.AppendFormat(", {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CellPhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(data.MailAddress));
+                strcmd.AppendFormat(", {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(data.FaxNumber ));
+                strcmd.AppendFormat(", {0}", SeparateString(data.JapaneseSyllabary));
                 strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                strcmd.AppendFormat(",'{0}'", data.Note);
+                strcmd.AppendFormat(", {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", {0} ", data.labourKind);
                 strcmd.AppendFormat(",'{0}'", data.RequestImputId);
-                strcmd.AppendFormat(",'{0}'", data.Password);
+                strcmd.AppendFormat(", {0}", SeparateString(data.Password));
                 strcmd.AppendFormat(", {0} ", data.BankCode);
-                strcmd.AppendFormat(",'{0}'", data.BankName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.BankName));
                 strcmd.AppendFormat(", {0} ", data.BankBranchCode);
-                strcmd.AppendFormat(",'{0}'", data.BankBranchName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.BankBranchName));
                 strcmd.AppendFormat(", {0} ", data.BankAccountKind);
                 strcmd.AppendFormat(", {0} ", data.BankAccountNo);
-                strcmd.AppendFormat(",'{0}'", data.BankAccountName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.BankAccountName));
                 strcmd.AppendFormat(", {0} ", data.TransferFees);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ConfirmedDate);
                 strcmd.AppendFormat(", {0} ", data.DeleteFlg.ToString());
@@ -311,36 +338,36 @@
 
                     strcmd.AppendFormat("  {0}", work.CompanyCode);
                     strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                    strcmd.AppendFormat(",'{0}'", work.CorporateStatusName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CorporateStatusName));
                     strcmd.AppendFormat(", {0}", work.CorporateStatusPoint);
-                    strcmd.AppendFormat(",'{0}'", work.CompanyName);
-                    strcmd.AppendFormat(",'{0}'", work.CompanyNameKana);
-                    strcmd.AppendFormat(",'{0}'", work.CEOPositionName);
-                    strcmd.AppendFormat(",'{0}'", work.CEOName);
-                    strcmd.AppendFormat(",'{0}'", work.CEONameKana);
-                    strcmd.AppendFormat(",'{0}'", work.ContactPersonName);
-                    strcmd.AppendFormat(",'{0}'", work.ContactPersonNameKana);
-                    strcmd.AppendFormat(",'{0}'", work.ZipCode);
-                    strcmd.AppendFormat(",'{0}'", work.Address1);
-                    strcmd.AppendFormat(",'{0}'", work.Address2);
-                    strcmd.AppendFormat(",'{0}'", work.Address3);
-                    strcmd.AppendFormat(",'{0}'", work.CellPhoneNumber);
-                    strcmd.AppendFormat(",'{0}'", work.MailAddress);
-                    strcmd.AppendFormat(",'{0}'", work.PhoneNumber);
-                    strcmd.AppendFormat(",'{0}'", work.FaxNumber);
-                    strcmd.AppendFormat(",'{0}'", work.JapaneseSyllabary);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CompanyName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CompanyNameKana));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CEOPositionName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CEOName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CEONameKana));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ContactPersonName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ContactPersonNameKana));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CellPhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MailAddress));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FaxNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.JapaneseSyllabary));
                     strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')", work.StartDate.ToShortDateString());
-                    strcmd.AppendFormat(",'{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0} ", work.labourKind.ToString());
                     strcmd.AppendFormat(",'{0}'", work.RequestImputId);
-                    strcmd.AppendFormat(",'{0}'", work.Password);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Password));
                     strcmd.AppendFormat(", {0} ", work.BankCode);
-                    strcmd.AppendFormat(",'{0}'", work.BankName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.BankName));
                     strcmd.AppendFormat(", {0} ", work.BankBranchCode);
-                    strcmd.AppendFormat(",'{0}'", work.BankBranchName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.BankBranchName));
                     strcmd.AppendFormat(", {0} ", work.BankAccountKind);
                     strcmd.AppendFormat(", {0} ", work.BankAccountNo);
-                    strcmd.AppendFormat(",'{0}'", work.BankAccountName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.BankAccountName));
                     strcmd.AppendFormat(", {0} ", work.TransferFees);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.ConfirmedDate);
                     strcmd.AppendFormat(", {0} ", work.DeleteFlg.ToString());
@@ -382,36 +409,36 @@
 
                 strcmd.AppendFormat(" CompanyCode = {0}", data.CompanyCode);
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder);
-                strcmd.AppendFormat(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd.AppendFormat(", CorporateStatusName = {0}", SeparateString(data.CorporateStatusName));
                 strcmd.AppendFormat(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
-                strcmd.AppendFormat(", CompanyName = '{0}'", data.CompanyName);
-                strcmd.AppendFormat(", CompanyNameKana = '{0}'", data.CompanyNameKana);
-                strcmd.AppendFormat(", CEOPositionName = '{0}'", data.CEOPositionName);
-                strcmd.AppendFormat(", CEOName = '{0}'", data.CEOName);
-                strcmd.AppendFormat(", CEONameKana = '{0}'", data.CEONameKana);
-                strcmd.AppendFormat(", ContactPersonName = '{0}'", data.ContactPersonName);
-                strcmd.AppendFormat(", ContactPersonNameKana = '{0}'", data.ContactPersonNameKana);
-                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
-                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
-                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
-                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
-                strcmd.AppendFormat(", CellPhoneNumber = '{0}'", data.CellPhoneNumber);
-                strcmd.AppendFormat(", MailAddress = '{0}'", data.MailAddress);
-                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(", FaxNumber = '{0}'", data.FaxNumber);
-                strcmd.AppendFormat(", JapaneseSyllabary = '{0}'", data.JapaneseSyllabary);
+                strcmd.AppendFormat(", CompanyName = {0}", SeparateString(data.CompanyName));
+                strcmd.AppendFormat(", CompanyNameKana = {0}", SeparateString(data.CompanyNameKana));
+                strcmd.AppendFormat(", CEOPositionName = {0}", SeparateString(data.CEOPositionName));
+                strcmd.AppendFormat(", CEOName = {0}", SeparateString(data.CEOName));
+                strcmd.AppendFormat(", CEONameKana = {0}", SeparateString(data.CEONameKana));
+                strcmd.AppendFormat(", ContactPersonName = {0}", SeparateString(data.ContactPersonName));
+                strcmd.AppendFormat(", ContactPersonNameKana = {0}", SeparateString(data.ContactPersonNameKana));
+                strcmd.AppendFormat(", ZipCode = {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", Address1 = {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", Address2 = {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", Address3 = {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", CellPhoneNumber = {0}", SeparateString(data.CellPhoneNumber));
+                strcmd.AppendFormat(", MailAddress = {0}", SeparateString(data.MailAddress));
+                strcmd.AppendFormat(", PhoneNumber = {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", FaxNumber = {0}", SeparateString(data.FaxNumber));
+                strcmd.AppendFormat(", JapaneseSyllabary = {0}", SeparateString(data.JapaneseSyllabary));
                 strcmd.AppendFormat(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", Note = {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", labourKind = {0}", data.labourKind);
                 strcmd.AppendFormat(", RequestImputId = '{0}'", data.RequestImputId);
-                strcmd.AppendFormat(", Password = '{0}'", data.Password);
+                strcmd.AppendFormat(", Password = {0}", SeparateString(data.Password));
                 strcmd.AppendFormat(", BankCode = {0} ", data.BankCode);
-                strcmd.AppendFormat(", BankName = '{0}'", data.BankName);
+                strcmd.AppendFormat(", BankName = {0}", SeparateString(data.BankName));
                 strcmd.AppendFormat(", BankBranchCode = {0} ", data.BankBranchCode);
-                strcmd.AppendFormat(", BankBranchName = '{0}'", data.BankBranchName);
+                strcmd.AppendFormat(", BankBranchName = {0}", SeparateString(data.BankBranchName));
                 strcmd.AppendFormat(", BankAccountKind = {0} ", data.BankAccountKind);
                 strcmd.AppendFormat(", BankAccountNo = {0} ", data.BankAccountNo);
-                strcmd.AppendFormat(", BankAccountName = '{0}'", data.BankAccountName);
+                strcmd.AppendFormat(", BankAccountName = {0}", SeparateString(data.BankAccountName));
                 strcmd.AppendFormat(", TransferFees = {0} ", data.TransferFees);
                 strcmd.Append(", ConfirmedDate = NOW()");
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);
@@ -479,64 +506,64 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CorporateStatusName:
-                        strcmd.AppendFormat(" CorporateStatusName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CorporateStatusName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CorporateStatusPoint:
                         strcmd.AppendFormat(" CorporateStatusPoint = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CompanyName:
-                        strcmd.AppendFormat(" CompanyName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CompanyName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CompanyNameKana:
-                        strcmd.AppendFormat(" CompanyNameKana = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CompanyNameKana =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CEOPositionName:
-                        strcmd.AppendFormat(" CEOPositionName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CEOPositionName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CEOName:
-                        strcmd.AppendFormat(" CEOName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CEOName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CEONameKana:
-                        strcmd.AppendFormat(" CEONameKana = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CEONameKana =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.ContactPersonName:
-                        strcmd.AppendFormat(" ContactPersonName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ContactPersonName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.ContactPersonNameKana:
-                        strcmd.AppendFormat(" ContactPersonNameKana = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ContactPersonNameKana =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.ZipCode:
-                        strcmd.AppendFormat(" ZipCode = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ZipCode =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address1:
-                        strcmd.AppendFormat(" Address1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address1 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address2:
-                        strcmd.AppendFormat(" Address2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address2 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address3:
-                        strcmd.AppendFormat(" Address3 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address3 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CellPhoneNumber:
-                        strcmd.AppendFormat(" CellPhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CellPhoneNumber =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.MailAddress:
-                        strcmd.AppendFormat(" MailAddress = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" MailAddress =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.PhoneNumber:
-                        strcmd.AppendFormat(" PhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PhoneNumber =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.FaxNumber:
-                        strcmd.AppendFormat(" FaxNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FaxNumber =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.JapaneseSyllabary:
-                        strcmd.AppendFormat(" JapaneseSyllabary = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" JapaneseSyllabary =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.StartDate:
                         strcmd.AppendFormat(" StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.Note:
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.labourKind:
                         strcmd.AppendFormat(" labourKind = {0}", ((int)value).ToString());
@@ -545,19 +572,19 @@
                         strcmd.AppendFormat(" RequestImputId = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.Password:
-                        strcmd.AppendFormat(" Password = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Password = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.BankCode:
                         strcmd.AppendFormat(" BankCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.BankName:
-                        strcmd.AppendFormat(" BankName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" BankName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.BankBranchCode:
                         strcmd.AppendFormat(" BankBranchCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.BankBranchName:
-                        strcmd.AppendFormat(" BankBranchName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" BankBranchName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.BankAccountKind:
                         strcmd.AppendFormat(" BankAccountKind = {0}", ((int)value).ToString());
@@ -566,7 +593,7 @@
                         strcmd.AppendFormat(" BankAccountNo = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.BankAccountName:
-                        strcmd.AppendFormat(" BankAccountName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" BankAccountName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.TransferFees:
                         strcmd.AppendFormat(" TransferFees = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorItem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorItem.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorItem.cs	(revision 484)
@@ -193,7 +193,7 @@
 
                     strcmd.AppendFormat(" {0}", work.ItemCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.ItemName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ItemName));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -234,7 +234,7 @@
 
                 strcmd.AppendFormat("  ItemCode = {0}", data.ItemCode.ToString());
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(", ItemName = '{0}'", data.ItemName);
+                strcmd.AppendFormat(", ItemName = {0}", SeparateString(data.ItemName));
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobCategory.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobCategory.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobCategory.cs	(revision 484)
@@ -187,7 +187,7 @@
 
                 strcmd.AppendFormat(" {0}", data.JobCategoryCode.ToString());
                 strcmd.AppendFormat(", {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(", '{0}'", data.JobCategoryName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.JobCategoryName));
                 strcmd.AppendFormat(", {0}", data.DeleteFlg.ToString());
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
@@ -236,7 +236,7 @@
 
                     strcmd.AppendFormat(" {0}", work.JobCategoryCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.JobCategoryName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.JobCategoryName));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -277,7 +277,7 @@
 
                 strcmd.AppendFormat("  JobCategoryCode = {0}", data.JobCategoryCode.ToString());
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(", JobCategoryName = '{0}'", data.JobCategoryName);
+                strcmd.AppendFormat(", JobCategoryName = {0}", SeparateString(data.JobCategoryName));
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs	(revision 484)
@@ -53,6 +53,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region パブリックメソッド
         /// <summary>
         /// 協力会社工種関連マスタ検索
@@ -62,17 +100,18 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append("  CompanyCode");
-            strcmd.Append(", ItemCode");
-            strcmd.Append(", DisplayOrder");
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM SubContractorJobItem");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM SubContractorJobItem", CreateFieldNameList());
 
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
